from django.contrib import admin

from dbsynce.models import Client


@admin.register(Client)
class ClientAdmin(admin.ModelAdmin):
    list_display = (
        'id',
        'user',
        'requirements',
        'status',
        'ticket_status',
        'id_metaservice',
        'is_global',
        'is_visible',
    )
    list_filter = ('user', 'ticket_status')
