from rest_framework import viewsets, permissions

from dbsynce.models import Company
from dbsynce.serializer import CompanySerializer


class CompanyMVS(viewsets.ModelViewSet):
    queryset = Company.objects.all()
    serializer_class = CompanySerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated]
