from rest_framework import viewsets, permissions

from dbsynce.models import ServiceType
from dbsynce.serializer import ServiceTypeSerializer


class ServiceTypeMVS(viewsets.ModelViewSet):
    queryset = ServiceType.objects.all()
    serializer_class = ServiceTypeSerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated]
