from .template import Template


class Client():
    description = (
        "Client - это таблица с клиентами. Клиент/пользователь/аккаунт "
        "в системе, который по логике получает услугу."
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    requirements = "требования для того, чтобы можно было получать услуги как клиент"
    status = "активность на основе системы заявок"

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    ticket_status = (
        "id последнего актуального тикета, касающийся статуса. Если он "
        "меняет статус на закрытый - вызывается проверка, которая смотрит, "
        "нет ли другого открытого по пользователю."
    )
    user = (
        "пользователь, которому соответствует роль клиента"
    )
