from .template import Template


class Company():
    description = (
        "Company - это таблица с партнерами сервисов. Партнер сервиса -"
        "юридическое лицо или ИП, которое непосредственно организует работу с"
        "исполнителями и отвечает перед клиентами и перед сервисом за качество"
        "оказанных услуг. Юридически это лица, фактически оказывающие услуги"
        "по договору."
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    requirements = "Код необходимый для того, чтобы ресурс мог стать активным"
    status = "Cтатус обработки заявки"
    legal_name = "Настоящее имя юридического лица"
    address = "Юридический адрес"
    inn = "ИНН компании"
    kpp = "КПП компании"
    ogrn = "ОГРН компании"
    bank_name = "Название банка с расчетным счетом"
    bik = "БИК компании"
    rs = "Расчетный счет"
    ks = (
        "Корреспондентский счет (счет, открываемый банковской организацией "
        "в подразделении самого банка)"
    )
    tax_method = "Система налогооблажения"

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    repr = "Уникальный идентификатор представителя компании"
    ticket_status = "ID заявки, привязанной к текущей записи"
