from django.contrib import admin

from dbsynce.models import Resource


@admin.register(Resource)
class ResourceAdmin(admin.ModelAdmin):
    list_display = (
        'id',
        'id_metaservice',
        'resoure_type',
        'requirements',
        'status',
        'is_global',
        'is_visible',
        'ticket_status',
        'user_id',
    )
    list_filter = ('user_id', 'ticket_status')
