from rest_framework import viewsets, permissions

from dbsynce.models import Client
from dbsynce.serializer import ClientSerializer


class ClientMVS(viewsets.ModelViewSet):
    queryset = Client.objects.all()
    serializer_class = ClientSerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated]
