from rest_framework import viewsets, permissions

from dbsynce.models import Permissions
from dbsynce.serializer import PermissionsSerializer


class PermissionsMVS(viewsets.ModelViewSet):
    queryset = Permissions.objects.all()
    serializer_class = PermissionsSerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated]
