from rest_framework import viewsets, permissions

from dbsynce.models import Relationship
from dbsynce.serializer import RelationshipSerializer


class RelationshipMVS(viewsets.ModelViewSet):
    queryset = Relationship.objects.all()
    serializer_class = RelationshipSerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated]
