from django.urls import path, include
from rest_framework import routers

from dbsynce.apiviews import *

router = routers.DefaultRouter()
router.register(r'client', ClientMVS)
router.register(r'company', CompanyMVS)
router.register(r'documents', DocumentsMVS)
router.register(r'orders', OrdersMVS)
router.register(r'permissions', PermissionsMVS)
router.register(r'provider', ProviderMVS)
router.register(r'relationship', RelationshipMVS)
router.register(r'resource', ResourceMVS)
router.register(r'service', ServiceMVS)
router.register(r'servicetype', ServiceTypeMVS)

urlpatterns = [
    path('api/', include(router.urls), name="dbsynced"),
]
